MacWrtProParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MacWrtProParserInternal::State Struct Reference

Internal: the state of a MacWrtProParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< int, long > | m_blocksMap
| the list of retrieved block : block -> new address More...
std::map< int, shared_ptr< Zone > > | m_dataMap
| the list of blockId->data zone More...
std::map< int, shared_ptr< TextZone > > | m_textMap
| the list of blockId->text zone More...
std::vector< int > | m_blocksCallByTokens
| the list of blockId called by tokens More...
int | m_col
| the number of columns in MWII More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MacWrtProParser.

## Constructor & Destructor Documentation

MacWrtProParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

int MacWrtProParserInternal::State::m_actPage

the actual page

std::vector<int> MacWrtProParserInternal::State::m_blocksCallByTokens

the list of blockId called by tokens

std::map<int,long> MacWrtProParserInternal::State::m_blocksMap

the list of retrieved block : block -> new address

int MacWrtProParserInternal::State::m_col

the number of columns in MWII

std::map<int, shared_ptr<Zone> > MacWrtProParserInternal::State::m_dataMap

the list of blockId->data zone

int MacWrtProParserInternal::State::m_footerHeight

the footer height if known

int MacWrtProParserInternal::State::m_headerHeight

the header height if known

int MacWrtProParserInternal::State::m_numPages

the number of page of the final document

std::map<int, shared_ptr<TextZone> > MacWrtProParserInternal::State::m_textMap

the list of blockId->text zone

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx